Subject: Re: [bug#30328] [PATCH] gnu: Add emacs-browse-at-remote-gnu.

From: [email-masked] (Ludovic Courtès)
Date: Wed, 07 Feb 2018 10:18:58 +0100

Hi Oleg,

Oleg Pykhalov <[email-masked]> skribis:

> [email-masked] (Ludovic Courtès) writes:
>  
>   > What about simply adding the patch to ‘emacs-browse-at-remote’ if
>   > it’s committed upstream way?
>
> I'm sorry, what do you mean by “committed upstream way”?

I mean that the patch for Savannah support is already in the repository
of ‘browse-at-remote’, isn’t it?  Which is to say that the next version
of ‘browse-at-remote’ will have that functionality.

> I kinda agree to move the patch to ‘emacs-browse-at-remote’, but if
> somebody want to upgrade it, maybe he will need to recreate a patch.

(“He” or “she”.)

I don’t know, won’t the next ‘browse-at-remote’ include it?

>   > Also please make the .patch file name a bit shorter; see ‘guix lint’.
>
> Ouch, I missed this because of “GUIX_PACKAGE_PATH”.  Usually I unset
> this when prepare a package for Guix collection, but forget this time.
>
> $ ./pre-inst-env env guix lint emacs-browse-at-remote-gnu
>
> $ ./pre-inst-env env GUIX_PACKAGE_PATH= guix lint emacs-browse-at-remote-gnu
> /home/natsu/src/guix-wip-emacs-browse-at-remote-gnu/gnu/packages/emacs.scm:6474:2:
> [email-masked]:
> emacs-browse-at-remote-gnu-add-support-for-gnu-repositories.patch: file
> name is too long
> fetching CVE database for [email-masked] [cve]...

Oh I see, interesting.

The output of ‘guix lint’ seems to be messy, too.

Thanks,
Ludo’.